diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index b7196df..a5343f7 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -39957,11 +39957,11 @@ GenericNonAssociativeAlgebra(R : CommutativeRing, n : PositiveInteger,_
 
       genericLeftMinimalPolynomial a ==
         if initLeft? then initializeLeft()
-        map(eval(#1,a),leftRankPoly)$SUP(FPR)
+        map(x+->eval(x,a),leftRankPoly)$SUP(FPR)
 
       genericRightMinimalPolynomial a ==
         if initRight? then initializeRight()
-        map(eval(#1,a),rightRankPoly)$SUP(FPR)
+        map(x+->eval(x,a),rightRankPoly)$SUP(FPR)
 
       genericLeftTrace a ==
         if initLeft? then initializeLeft()
@@ -40024,22 +40024,22 @@ GenericNonAssociativeAlgebra(R : CommutativeRing, n : PositiveInteger,_
 
     generic(s: S): % == generic(s, basis()$%)
 
-      -- variations on eval
-      --coefOfa : List FPR := entries coordinates a
-      --ls : List Symbol := entries symbolsForCoef
-      -- a very dangerous sequential implementation for  the moment,
-      -- because the compiler doesn't manage the parallel code
-      -- also doesn't run:
-      -- not known that (Fraction (Polynomial R)) has (has (Polynomial R)
-      --  (Evalable (Fraction (Polynomial R))))
-      --res : FPR := rf
-      --for eq in lEq repeat res := eval(res,eq)$FPR
-      --res
-      --rf
-      --eval(rf, le)$FPR
-      --eval(rf, entries symbolsForCoef, coefOfa)$FPR
-      --eval(rf, ls, coefOfa)$FPR
-      --le : List Equation PR := [equation(lh,rh) for lh in ls for rh in coefOfa]
+    -- variations on eval
+    --coefOfa : List FPR := entries coordinates a
+    --ls : List Symbol := entries symbolsForCoef
+    -- a very dangerous sequential implementation for  the moment,
+    -- because the compiler doesn't manage the parallel code
+    -- also doesn't run:
+    -- not known that (Fraction (Polynomial R)) has (has (Polynomial R)
+    --  (Evalable (Fraction (Polynomial R))))
+    --res : FPR := rf
+    --for eq in lEq repeat res := eval(res,eq)$FPR
+    --res
+    --rf
+    --eval(rf, le)$FPR
+    --eval(rf, entries symbolsForCoef, coefOfa)$FPR
+    --eval(rf, ls, coefOfa)$FPR
+    --le : List Equation PR := [equation(lh,rh) for lh in ls for rh in coefOfa]
 
 @
 <<GCNAALG.dotabb>>=
diff --git a/changelog b/changelog
index a4c0973..ff3abfc 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090511 tpd src/axiom-website/patches.html 20090511.16.tpd.patch
+20090511 tpd books/bookvol10.3 GCNAALG +-> conversion
 20090511 tpd src/axiom-website/patches.html 20090511.15.tpd.patch
 20090511 tpd books/bookvol10.2 COMPCAT +-> conversion
 20090511 tpd src/axiom-website/patches.html 20090511.14.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index b75308c..ccd5e53 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1244,5 +1244,7 @@ bookvol10.3 GDMP +-> conversion<br/>
 bookvol10.4 COMBF +-> conversion<br/>
 <a href="patches/20090511.15.tpd.patch">20090511.15.tpd.patch</a>
 bookvol10.2 COMPCAT +-> conversion<br/>
+<a href="patches/20090511.16.tpd.patch">20090511.16.tpd.patch</a>
+bookvol10.3 GCNAALG +-> conversion<br/>
  </body>
 </html>
